/*
========================================================================
ferdelance3G_antiSweeper.js
This file is part of the 'Ferdelance 3G' expansion pack.
Author: UK_Eliter
License: 2017 Creative Commons: attribution, non-commercial, sharealike.
========================================================================
*/


/*
====================
JSLINT: set options
====================
*/

/*jshint esversion: 6*/
/*jshint sub:true*/

this.name = "ferdelance3G_antiSweeper";
this.author = "UK_Eliter";
this.copyright = "";
this.description = "Script for anti-Sweeper missile ";
this.license = "CC-by-nc-sa 3.0";



/*
------------------
DEBUGGING SWITCHES
------------------
*/

// this.logging = true;
var consoleDebugMessages = false; // do NOT comment this out. Rather, to disable, set to false.


/*
------------------------
JSLINT: start of wrapper
------------------------
*/

(function() {
	"use strict";


	/*
	--------------------
	ROUTINE CALLED BY AI
	The second parameter of dealEnergyDamage is the 'ideal range'; it should match the desiredRange in the AI.
	See: http://wiki.alioth.net/index.php/Oolite_JavaScript_Reference:_Ship#dealEnergyDamage
	--------------------
	*/

	this.$_detonate = function() {
		if (this.ship.target && this.ship.target.isThargoid) {
			this.ship.dealEnergyDamage(660, 35, 0.1);
		} else {
			this.ship.dealEnergyDamage(300, 35, 0.15);
		}
		this.ship.explode();
	};


	/*
	----------------------
	JSLINT: end of wrapper
	----------------------
	*/

}).call(this);


// EOF